Skip to main content
POST
/
api
/
v1
/
builders
/
{uuid}
/
ssh
Create SSH access
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/builders/{uuid}/ssh \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expires_minutes": 60
}
'
{
  "success": true,
  "data": {
    "ssh_command": "ssh <token>@ssh.builder.mihu.ai",
    "token": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Body

application/json
expires_minutes
integer

How long the access is valid (5 min – 7 days). Default 60.

Required range: 5 <= x <= 10080
Example:

60

Response

SSH access created.

success
boolean
Example:

true

data
object